<!DOCTYPE html>
{% load static %}
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Note List</title>
    <link rel="stylesheet" href="{% static 'css/lab4_note-list.css' %}" />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.2/dist/css/bootstrap.min.css" rel="stylesheet">
  </head>
  <body>
    <div>
      <nav class="navbar navbar-expand-lg navbar-light bg-light sticky-top">
        <div class="container-fluid">
          <a class="navbar-brand" href="{% url 'index' %}">PBP</a>
          <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
            <div class="navbar-nav">
              <a class="nav-link" href="{% url 'lab4-index' %}">Note Table</a>
              <a class="nav-link" href="{% url 'lab4-add-note' %}">Add Note</a>
              <a class="nav-link active" href="{% url 'lab4-note-list' %}">Note Card</a>
            </div>
          </div>
        </div>
      </nav>
    </div>
    <h1>NOTE CARD</h1>
    <div class = "allcards">
      {% if notes %}
        {% for note in notes %}
          <div class = "flip-card">
            <div class ="inner">
              <div class = "front">
                <p class ="to">To: {{note.to}}</p>
                <h2 class ="title">{{note.title}}</h2>
                <p class ="from">From: {{note.From}}</p>
              </div>
              <div class = "back">
                <p>{{note.message}}</p>
              </div>
            </div>
          </div>
        {% endfor %}
      {% endif %}
    </div>
  </body>
</html>
